d3.csv('https://gist.githubusercontent.com/Samanvitha1/e2d65309c623e363af866a6455bfb52b/raw/ff56fa7de2d833452706adbe87822d4c9e070830/scatter', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'English'), y: unpack(rows, 'Age'), z: unpack(rows, 'Maths'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
		x:unpack(rows, 'Science'), y: unpack(rows, 'Age'), z: unpack(rows, 'Maths'),
	mode: 'markers',
	marker: {
		color: 'rgb(127, 127, 127)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 204, 204)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};
  
  var trace3 = {
		x:unpack(rows, 'History'), y: unpack(rows, 'Age'), z: unpack(rows, 'Maths'),
	mode: 'markers',
	marker: {
		color: 'rgb(12, 12, 12)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(201, 201, 201)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};
var data = [trace1, trace2,trace3];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});